package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CONTRATO_TITULO. Se usa para el manejo de las operaciones BD. 
 */

public class ContratoTituloDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_TITULO_CNT;
	private String DESC_TITULO;
	private String ID_CONTRATO;
	private String ID_LISTA;
	private String ID_TITULO;
	private String ID_CATEGORIA;
	private String FECHA_INICIO;
	private String FECHA_FIN;
	private String BRIEFCASE;
	private String DTO;
	private String DTR;
	private String COSTO;
	private String VIDA_UTIL;
	private String ID_SAP;
	private String ESTATUS;
	private String ID_TITULO_CNTNVO;
	private String HVRD;
	private String ID_TERRITORIO;
	private String ID_RELEASE;
	private String ID_TITULO_CNTORIG;
	private String FECHA_NOTIFSAP;
	private String AJUSTO_TITULO;
	private String AJUSTO_VALOR;
	private String AJUSTO_VU;
	private String BAJA_PERDIDA;
	private String FECHA_AJUSTOTITULO;
	private String FECHA_AJUSTOVALOR;
	private String FECHA_AJUSTOVU;
	private String FECHA_BAJA;
	private String ID_SAP_ANT;
	private String ID_TITULO_CNTANT;
	private String FECHA_WS;
	private String NOTA_CREDITO;
	private String FACTURA_CREDITO;
	private String TIPO_TITULO;
	private String ID_PAGO_CATEG;
	private String PRECIO_ANUAL;
	private String NOMBRE_UNICO;
	private String EPISODIO;
	private String ID_BV;
	private String ID_CATEGORIA_TIT;
	private String TEMPORADA;
	private String MESES_VU;
	private String PJE_EXCLUSIVO;
	private String MESES_EXCLUSIVO;
	private String FLGCALCULO_PRECIO;
	private String FECHA_CONTABILIZACION;
	private String ANIO_CONTRATO;
	
	public String getID_TITULO_CNT() {
		return ID_TITULO_CNT;
	}

	public void setID_TITULO_CNT(String iD_TITULO_CNT) {
		ID_TITULO_CNT = iD_TITULO_CNT;
	}

	public String getDESC_TITULO() {
		return DESC_TITULO;
	}

	public void setDESC_TITULO(String dESC_TITULO) {
		DESC_TITULO = dESC_TITULO;
	}

	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}

	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}

	public String getID_LISTA() {
		return ID_LISTA;
	}

	public void setID_LISTA(String iD_LISTA) {
		ID_LISTA = iD_LISTA;
	}

	public String getID_TITULO() {
		return ID_TITULO;
	}

	public void setID_TITULO(String iD_TITULO) {
		ID_TITULO = iD_TITULO;
	}

	public String getID_CATEGORIA() {
		return ID_CATEGORIA;
	}

	public void setID_CATEGORIA(String iD_CATEGORIA) {
		ID_CATEGORIA = iD_CATEGORIA;
	}

	public String getFECHA_INICIO() {
		return FECHA_INICIO;
	}

	public void setFECHA_INICIO(String fECHA_INICIO) {
		FECHA_INICIO = fECHA_INICIO;
	}

	public String getFECHA_FIN() {
		return FECHA_FIN;
	}

	public void setFECHA_FIN(String fECHA_FIN) {
		FECHA_FIN = fECHA_FIN;
	}

	public String getBRIEFCASE() {
		return BRIEFCASE;
	}

	public void setBRIEFCASE(String bRIEFCASE) {
		BRIEFCASE = bRIEFCASE;
	}

	public String getDTO() {
		return DTO;
	}

	public void setDTO(String dTO) {
		DTO = dTO;
	}

	public String getDTR() {
		return DTR;
	}

	public void setDTR(String dTR) {
		DTR = dTR;
	}

	public String getCOSTO() {
		return COSTO;
	}

	public void setCOSTO(String cOSTO) {
		COSTO = cOSTO;
	}

	public String getVIDA_UTIL() {
		return VIDA_UTIL;
	}

	public void setVIDA_UTIL(String vIDA_UTIL) {
		VIDA_UTIL = vIDA_UTIL;
	}

	public String getID_SAP() {
		return ID_SAP;
	}

	public void setID_SAP(String iD_SAP) {
		ID_SAP = iD_SAP;
	}

	public String getESTATUS() {
		return ESTATUS;
	}

	public void setESTATUS(String eSTATUS) {
		ESTATUS = eSTATUS;
	}

	public String getID_TITULO_CNTNVO() {
		return ID_TITULO_CNTNVO;
	}

	public void setID_TITULO_CNTNVO(String iD_TITULO_CNTNVO) {
		ID_TITULO_CNTNVO = iD_TITULO_CNTNVO;
	}

	public String getHVRD() {
		return HVRD;
	}

	public void setHVRD(String hVRD) {
		HVRD = hVRD;
	}

	public String getID_TERRITORIO() {
		return ID_TERRITORIO;
	}

	public void setID_TERRITORIO(String iD_TERRITORIO) {
		ID_TERRITORIO = iD_TERRITORIO;
	}

	public String getID_RELEASE() {
		return ID_RELEASE;
	}

	public void setID_RELEASE(String iD_RELEASE) {
		ID_RELEASE = iD_RELEASE;
	}

	public String getID_TITULO_CNTORIG() {
		return ID_TITULO_CNTORIG;
	}

	public void setID_TITULO_CNTORIG(String iD_TITULO_CNTORIG) {
		ID_TITULO_CNTORIG = iD_TITULO_CNTORIG;
	}

	public String getFECHA_NOTIFSAP() {
		return FECHA_NOTIFSAP;
	}

	public void setFECHA_NOTIFSAP(String fECHA_NOTIFSAP) {
		FECHA_NOTIFSAP = fECHA_NOTIFSAP;
	}

	public String getAJUSTO_TITULO() {
		return AJUSTO_TITULO;
	}

	public void setAJUSTO_TITULO(String aJUSTO_TITULO) {
		AJUSTO_TITULO = aJUSTO_TITULO;
	}

	public String getAJUSTO_VALOR() {
		return AJUSTO_VALOR;
	}

	public void setAJUSTO_VALOR(String aJUSTO_VALOR) {
		AJUSTO_VALOR = aJUSTO_VALOR;
	}

	public String getAJUSTO_VU() {
		return AJUSTO_VU;
	}

	public void setAJUSTO_VU(String aJUSTO_VU) {
		AJUSTO_VU = aJUSTO_VU;
	}

	public String getBAJA_PERDIDA() {
		return BAJA_PERDIDA;
	}

	public void setBAJA_PERDIDA(String bAJA_PERDIDA) {
		BAJA_PERDIDA = bAJA_PERDIDA;
	}

	public String getFECHA_AJUSTOTITULO() {
		return FECHA_AJUSTOTITULO;
	}

	public void setFECHA_AJUSTOTITULO(String fECHA_AJUSTOTITULO) {
		FECHA_AJUSTOTITULO = fECHA_AJUSTOTITULO;
	}

	public String getFECHA_AJUSTOVALOR() {
		return FECHA_AJUSTOVALOR;
	}

	public void setFECHA_AJUSTOVALOR(String fECHA_AJUSTOVALOR) {
		FECHA_AJUSTOVALOR = fECHA_AJUSTOVALOR;
	}

	public String getFECHA_AJUSTOVU() {
		return FECHA_AJUSTOVU;
	}

	public void setFECHA_AJUSTOVU(String fECHA_AJUSTOVU) {
		FECHA_AJUSTOVU = fECHA_AJUSTOVU;
	}

	public String getFECHA_BAJA() {
		return FECHA_BAJA;
	}

	public void setFECHA_BAJA(String fECHA_BAJA) {
		FECHA_BAJA = fECHA_BAJA;
	}

	public String getID_SAP_ANT() {
		return ID_SAP_ANT;
	}

	public void setID_SAP_ANT(String iD_SAP_ANT) {
		ID_SAP_ANT = iD_SAP_ANT;
	}

	public String getID_TITULO_CNTANT() {
		return ID_TITULO_CNTANT;
	}

	public void setID_TITULO_CNTANT(String iD_TITULO_CNTANT) {
		ID_TITULO_CNTANT = iD_TITULO_CNTANT;
	}

	public String getFECHA_WS() {
		return FECHA_WS;
	}

	public void setFECHA_WS(String fECHA_WS) {
		FECHA_WS = fECHA_WS;
	}

	public String getNOTA_CREDITO() {
		return NOTA_CREDITO;
	}

	public void setNOTA_CREDITO(String nOTA_CREDITO) {
		NOTA_CREDITO = nOTA_CREDITO;
	}

	public String getFACTURA_CREDITO() {
		return FACTURA_CREDITO;
	}

	public void setFACTURA_CREDITO(String fACTURA_CREDITO) {
		FACTURA_CREDITO = fACTURA_CREDITO;
	}

	public String getTIPO_TITULO() {
		return TIPO_TITULO;
	}

	public void setTIPO_TITULO(String tIPO_TITULO) {
		TIPO_TITULO = tIPO_TITULO;
	}

	public String getID_PAGO_CATEG() {
		return ID_PAGO_CATEG;
	}

	public void setID_PAGO_CATEG(String iD_PAGO_CATEG) {
		ID_PAGO_CATEG = iD_PAGO_CATEG;
	}

	public String getPRECIO_ANUAL() {
		return PRECIO_ANUAL;
	}

	public void setPRECIO_ANUAL(String pRECIO_ANUAL) {
		PRECIO_ANUAL = pRECIO_ANUAL;
	}

	public String getNOMBRE_UNICO() {
		return NOMBRE_UNICO;
	}

	public void setNOMBRE_UNICO(String nOMBRE_UNICO) {
		NOMBRE_UNICO = nOMBRE_UNICO;
	}

	public String getEPISODIO() {
		return EPISODIO;
	}

	public void setEPISODIO(String ePISODIO) {
		EPISODIO = ePISODIO;
	}

	public String getID_BV() {
		return ID_BV;
	}

	public void setID_BV(String iD_BV) {
		ID_BV = iD_BV;
	}

	public String getID_CATEGORIA_TIT() {
		return ID_CATEGORIA_TIT;
	}

	public void setID_CATEGORIA_TIT(String iD_CATEGORIA_TIT) {
		ID_CATEGORIA_TIT = iD_CATEGORIA_TIT;
	}

	public String getTEMPORADA() {
		return TEMPORADA;
	}

	public void setTEMPORADA(String tEMPORADA) {
		TEMPORADA = tEMPORADA;
	}

	public String getMESES_VU() {
		return MESES_VU;
	}

	public void setMESES_VU(String mESES_VU) {
		MESES_VU = mESES_VU;
	}

	public String getPJE_EXCLUSIVO() {
		return PJE_EXCLUSIVO;
	}

	public void setPJE_EXCLUSIVO(String pJE_EXCLUSIVO) {
		PJE_EXCLUSIVO = pJE_EXCLUSIVO;
	}

	public String getMESES_EXCLUSIVO() {
		return MESES_EXCLUSIVO;
	}

	public void setMESES_EXCLUSIVO(String mESES_EXCLUSIVO) {
		MESES_EXCLUSIVO = mESES_EXCLUSIVO;
	}

	public String getFLGCALCULO_PRECIO() {
		return FLGCALCULO_PRECIO;
	}

	public void setFLGCALCULO_PRECIO(String fLGCALCULO_PRECIO) {
		FLGCALCULO_PRECIO = fLGCALCULO_PRECIO;
	}

	public String getFECHA_CONTABILIZACION() {
		return FECHA_CONTABILIZACION;
	}

	public void setFECHA_CONTABILIZACION(String fECHA_CONTABILIZACION) {
		FECHA_CONTABILIZACION = fECHA_CONTABILIZACION;
	}

	public String getANIO_CONTRATO() {
		return ANIO_CONTRATO;
	}

	public void setANIO_CONTRATO(String aNIO_CONTRATO) {
		ANIO_CONTRATO = aNIO_CONTRATO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_TITULO_CNT: _" + this.getID_TITULO_CNT() + "_" + NEW_LINE);
		result.append(" DESC_TITULO: _" + this.getDESC_TITULO() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" ID_LISTA: _" + this.getID_LISTA() + "_" + NEW_LINE);
		result.append(" ID_TITULO: _" + this.getID_TITULO_CNT() + "_" + NEW_LINE);
		result.append(" ID_CATEGORIA: _" + this.getID_CATEGORIA() + "_" + NEW_LINE);
		result.append(" FECHA_INICIO: _" + this.getFECHA_INICIO() + "_" + NEW_LINE);
		result.append(" FECHA_FIN: _" + this.getFECHA_FIN() + "_" + NEW_LINE);
		result.append(" BRIEFCASE: _" + this.getBRIEFCASE() + "_" + NEW_LINE);
		result.append(" DTO: _" + this.getDTO() + "_" + NEW_LINE);
		result.append(" DTR: _" + this.getDTR() + "_" + NEW_LINE);
		result.append(" COSTO: _" + this.getCOSTO() + "_" + NEW_LINE);
		result.append(" VIDA_UTIL: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" ID_SAP: _" + this.getID_SAP() + "_" + NEW_LINE);
		result.append(" ESTATUS: _" + this.getESTATUS() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTNVO: _" + this.getID_TITULO_CNTNVO() + "_" + NEW_LINE);
		result.append(" HVRD: _" + this.getHVRD() + "_" + NEW_LINE);
		result.append(" ID_TERRITORIO: _" + this.getID_TERRITORIO() + "_" + NEW_LINE);
		result.append(" ID_RELEASE: _" + this.getID_RELEASE() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTORIG: _" + this.getID_TITULO_CNTORIG() + "_" + NEW_LINE);
		result.append(" FECHA_NOTIFSAP: _" + this.getFECHA_NOTIFSAP() + "_" + NEW_LINE);
		result.append(" AJUSTO_TITULO: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" AJUSTO_VALOR: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" AJUSTO_VU: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" BAJA_PERDIDA: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" FECHA_AJUSTOTITULO: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" FECHA_AJUSTOVALOR: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" FECHA_AJUSTOVU: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" FECHA_BAJA: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" ID_SAP_ANT: _" + this.getID_SAP_ANT() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTANT: _" + this.getID_TITULO_CNTANT() + "_" + NEW_LINE);
		result.append(" FECHA_WS: _" + this.getFECHA_WS() + "_" + NEW_LINE);
		result.append(" NOTA_CREDITO: _" + this.getNOTA_CREDITO() + "_" + NEW_LINE);
		result.append(" FACTURA_CREDITO: _" + this.getFACTURA_CREDITO() + "_" + NEW_LINE);
		result.append(" TIPO_TITULO: _" + this.getTIPO_TITULO() + "_" + NEW_LINE);
		result.append(" ID_PAGO_CATEG: _" + this.getID_PAGO_CATEG() + "_" + NEW_LINE);
		result.append(" PRECIO_ANUAL: _" + this.getPRECIO_ANUAL() + "_" + NEW_LINE);
		result.append(" NOMBRE_UNICO: _" + this.getNOMBRE_UNICO() + "_" + NEW_LINE);
		result.append(" EPISODIO: _" + this.getEPISODIO() + "_" + NEW_LINE);
		result.append(" ID_BV: _" + this.getID_BV() + "_" + NEW_LINE);
		result.append(" ID_CATEGORIA_TIT: _" + this.getID_CATEGORIA_TIT() + "_" + NEW_LINE);
		result.append(" TEMPORADA: _" + this.getTEMPORADA() + "_" + NEW_LINE);
		result.append(" MESES_VU: _" + this.getMESES_VU() + "_" + NEW_LINE);
		result.append(" PJE_EXCLUSIVO: _" + this.getPJE_EXCLUSIVO() + "_" + NEW_LINE);
		result.append(" MESES_EXCLUSIVO: _" + this.getMESES_EXCLUSIVO() + "_" + NEW_LINE);
		result.append(" FLGCALCULO_PRECIO: _" + this.getFLGCALCULO_PRECIO() + "_" + NEW_LINE);
		result.append(" FECHA_CONTABILIZACION: _" + this.getFECHA_CONTABILIZACION() + "_" + NEW_LINE);
		result.append(" ANIO_CONTRATO: _" + this.getANIO_CONTRATO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
